Subject: bug#43702: Emacs master: Incorrect highlighting in regexp isearch.

From: Juri Linkov <[email-masked]>
Date: Tue, 06 Oct 2020 23:17:44 +0300

>>> So a better solution is maybe to save match-data on the isearch stack
>>> and restore in isearch-pop-state (called by isearch-delete-char).
>>> I could try to do this.
>>
>> Please do.

This is fixed now.

> I'm on it (also adding even/odd faces to lazy-isearch - optionally
> on the new user option lazy-highlight-submatches).

I started implementing group matches highlighting for lazy-highlight and also
for query-replace, but then realized neither lazy-highlight nor query-replace
need no such thing because this highlighting is only useful while
incrementally constructing/inspecting a complex regexp for the current match
in incremental isearch mode.